SULOGIN(8)

NOM
sulogin - Connexion en mode mono-utilisateur

SYNOPSIS

sulogin [options] [tty]

DESCRIPTION

sulogin est appelé par init quand le système passe en mode mono-utilisateur.

L’utilisateur verra s’afficher :

Give root password for system maintenance (or type Control-D for normal startup):

Si le compte superutilisateur est verrouillé et l’option --force indiquée, aucun mot de passe n’est demandé.

sulogin sera connecté au terminal en cours ou au périphérique facultatif tty fourni sur la ligne de commande (habituellement /dev/console).

Quand l’utilisateur quitte l’interpréteur de commandes mono-utilisateur ou appuie sur Ctrl et D à l’invite de commande, le système continuera à démarrer.

OPTIONS

-e, --force
    Si la méthode d’obtention par défaut du mot de passe du superutilisateur pour le système avec getpwnam(3) échoue, examiner /etc/passwd et /etc/shadow pour obtenir le mot de passe. Si ces fichiers sont endommagés ou n’existent pas, ou lorsque le compte superutilisateur est verrouillé par « ! » ou « * » au commencement du mot de passe, alors sulogin démarrera un interpréteur de commandes de superutilisateur sans demander de mot de passe.

    N’utilisez l’option -e que si vous êtes sûr que la console est physiquement protégée contre les accès non autorisés.

-p, --login-shell
    Forcer sulogin à démarrer le processus d’interpréteur de commandes comme un interpréteur de connexion.

-t, --timeout secondes
    Indiquer la durée d’attente maximale pour une saisie d’utilisateur. Par défaut, sulogin attendra indéfiniment.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher le numéro de version et quitter.

ENVIRONNEMENT

sulogin recherche les variables d’environnement SUSHELL ou sushell pour déterminer l’interpréteur de commandes à démarrer. Si la variable d’environnement n’est pas définie, il essaiera d’exécuter l’interpréteur de commandes du superutilisateur indiqué dans le fichier /etc/passwd. Si cela échoue également, il essaiera /bin/sh.

AUTEURS

sulogin a été écrit par Miquel van Smoorenburg pour sysvinit puis ensuite porté pour util-linux par Dave Reisner et Karel Zak.

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le gestionnaire de bogues sur

DISPONIBILITÉ

La commande sulogin fait partie du paquet util-linux, elle est disponible sur